// Programme de test qui utilise un connecteur JDBC pour insérer
//  une ligne dans une table
// Il est nécessaire de créer la table dans le BD avant d'exécuter le test.
//
import java.sql.*;
import java.util.*;

public class Exemple01
{ 
    public static void main(String[] args) throws Exception
    {
      //Class.forName("com.mysql.jdbc.Driver").newInstance();
       Class.forName("com.mysql.cj.jdbc.Driver").newInstance();
        System.out.println(">> com.mysql.jdbc.Driver");

        java.sql.Connection connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/labo?useSSL=false&serverTimezone=UTC", "root", "");


        System.out.println(">> connection");

        System.out.println(">> Creation de la table `labo.employe`;");
        java.sql.Statement dbStatementCr = connection.createStatement();
        dbStatementCr.executeUpdate("CREATE TABLE IF NOT EXISTS `employe` (  `idEmploye` int(11) NOT NULL,  `nom` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,  `prenom` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,  PRIMARY KEY (`idEmploye`) ); ");

        Scanner sc = new Scanner(System.in);
        System.out.print("Nom prenom: ");
        String nom = sc.next();
        String prenom = sc.next();

        int n=0;
        boolean ok;
        java.sql.Statement dbStatement=null;
        do {
            try{
                ok=true;
                dbStatement = connection.createStatement();
                dbStatement.executeUpdate("INSERT INTO employe (idEmploye,nom,prenom) VALUES ("+n+",'"+nom+"','"+prenom+"')");
            }catch(Exception ex){ok=false;}
            n++;
        }while(!ok);
        dbStatement.close();

        connection.close();
    }
}